{--
For each user who has placed a bid, give the userid, name, number of bids, and average bid, in order by userid
--}
<result>
  {
    for $uid in distinct-values(collection("bids")/*:bids/userid),
        $u in collection("users")/*:users[userid = $uid]
    let $b := collection("bids")/*:bids[userid = $uid]
    return
        <bidder>
            { $u/userid }
            { $u/name }
            <bidcount>{ count($b) }</bidcount>
            <avgbid>{ avg($b/bid) }</avgbid>
        </bidder>
  }
</result>

