{--
List the names of users, if any, who have bid on every item.
--}
<frequent_bidder>
  {
    for $u in collection("users")/*:users
    where 
      every $item in collection("items")/*:items satisfies 
        some $b in collection("bids")/*:bids satisfies 
          ($item/itemno = $b/itemno and $u/userid = $b/userid)
    return
        $u/name
  }
</frequent_bidder>
