{--
Find the highest bid ever made for a bicycle or tricycle.
--}
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"
let $allbikes := collection("items")/*:items[contains(description, "Bicycle") 
                     			   or contains(description, "Tricycle")]
let $bikebids := doc("bids.xml")/bid:bids/bid_tuple[itemno = $allbikes/itemno]
return
    <high_bid>
      { 
        max($bikebids/bid) 
      }
    </high_bid>
