import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";

let $highbid := max(vf:users()//vt:bid/vt:value)
return
    <result>
      {
        for $item in vf:users()//vt:item,
            $b in $item//vt:bid
        where $b/vt:value = $highbid
        return
            <expensive_item>
	            <itemno>{ data($item/@id) }</itemno>
				<description>{ data($item/vt:description) }</description>
                <high_bid>{ $highbid }</high_bid>
            </expensive_item>
      }
    </result>
