import schema namespace bib = "http://www.xquark.org/XQuery/use-cases/bib" at "bib.xsd"
<bib>
  {
    for $b in doc("bib.xml")/bib:bib//book
    where $b/publisher = "Addison-Wesley" and $b/@year > 1991
    order by $b/title
    return
        <book>
            { $b/@year }
            { $b/title }
        </book>
  }
</bib>