import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"
import schema namespace use = "http://www.xquark.org/XQuery/use-cases/users" at "users.xsd"
<result>
  {
	for $highbid in doc("bids.xml")/bid:bids//bid_tuple,
	    $user in doc("users.xml")/use:users//user_tuple
	where $user/userid = $highbid/userid
	  and $highbid/bid = max(doc("bids.xml")/bid:bids//bid_tuple[itemno = $highbid/itemno]/bid)
	return
		<high_bid>
			{ $highbid/itemno }
			{ $highbid/bid }
			<bidder>{ $user/name/text() }</bidder>
		</high_bid>
	sortby(itemno)
  }
</result>