import schema namespace new="http://www.xquark.org/XQuery/use-cases/news" at "news.xsd"
import schema namespace com="http://www.xquark.org/XQuery/use-cases/company" at "company.xsd"
let $foobar_partners := doc("company.xml")//com:company[name = "Foobar Corporation"]//partner
for $item in doc("news.xml")/new:news//news_item
where
	some $t in $item//title satisfies
		(contains($t, "Foobar Corporation")
		 and (some $partner in $foobar_partners satisfies
				contains($t, $partner)))
	or 
	(some $par in $item//par satisfies
   		(contains($par, "Foobar Corporation")
     	 and (some $partner in $foobar_partners satisfies
       			contains($par, $partner))))
return
    <news_item>
        { $item/title }
        { $item/date }
    </news_item>
