@echo off
rem ----------------------------------------------------------------
rem  xqfusion - Shell-script for running XQuark Fusion
rem ----------------------------------------------------------------

rem ** OS specific init ********************************************************

if not "%OS%"=="Windows_NT" goto DOSinit
:NTinit
setlocal

rem %~dp0 is the absolute path of current script with NT family
if %XQFUSION_HOME%a==a set XQFUSION_HOME=%~dp0..

rem Need to check if we are using the NT4 shell...
if "%@eval[2+2]" == "4" goto NT4init

rem On NT/2K grab all arguments at once
set ARGS=%*
goto initOK

:NT4init
set ARGS=%$
goto initOK

:DOSinit
rem Builds a single string for all scripts arguments (Windows 9x family only)

set ARGS=

:loopArgs
if %1a==a goto initOK
set ARGS=%ARGS% %1
shift
goto loopArgs

:initOK

rem ** Check XQFUSION_HOME variable is set *************************************
if not %XQFUSION_HOME%a==a goto checkJVM
echo.
echo Error: XQFUSION_HOME is not set and XQuark Fusion could not be located.
echo.
goto error

rem ** Locate JVM **************************************************************
:checkJVM

if %JAVA_HOME%a==a goto setJava
set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA%.exe" goto setCP
echo.
echo Error: "%JAVA%.exe" not found. Please check JAVA_HOME value.
echo.
goto error

:setJava

if %JAVA%a==a set JAVA=java
echo.
echo WARNING: JAVA_HOME not set. Trying with java.exe found in the execution path.
echo.

rem ** Set classpath ***********************************************************
:setCP

set CP=%XQFUSION_HOME%\bin\;%XQFUSION_HOME%\lib\xquark-fusion.jar;.
if not "%XQ_CLASSPATH%"a==a set CP=%CP%;%XQ_CLASSPATH%
if not "%CLASSPATH%"a==a set CP=%CP%;%CLASSPATH%
rem Third-party libraries
set CP=%CP%;%XQFUSION_HOME%\lib\crimson.jar
set CP=%CP%;%XQFUSION_HOME%\lib\mysql-connector-java-3.0.9-stable-bin.jar
set CP=%CP%;%XQFUSION_HOME%\lib\xpp3-1.1.3.4-RC3.jar

rem ** Run XQuark Fusion *******************************************************
"%JAVA%" -classpath "%CP%" org.xquark.fusion.XQFusion %ARGS%
set RESULT=%errorlevel%
goto end

:error
set RESULT=1

:end
set CP=
set JAVA=
set ARGS=
if "%OS%"=="Windows_NT" endlocal

if "%errorcode%"=="1" exit %RESULT%
