{--
List the item number and description of all bicycles that currently have an auction in progress, ordered by item number.
Warning: as this query uses the current date, it might be necessary to adjust the values in the relational tables 
to obtain results
--}

<result>
{
for $i in collection("items")/*:items
where 	$i/start_date <= date("1999-02-10")
	and $i/end_date >= date("1999-02-10") 
	and contains($i/description, "Bicycle")
return
	<item>
		{ $i/itemno }
		{ $i/description }
	</item>
sortby (itemno)
}
</result>