{-- 
For all bicycles, list the item number, description, and highest bid (if any), ordered by item number.
--}

<result>
  {
    for $i in collection("items")/*:items
    let $b := collection("bids")/*:bids[itemno = $i/itemno]
    where contains($i/description, "Bicycle")
    return
        <item>
            { $i/itemno }
            { $i/description }
            <high_bid>{ max($b/bid) }</high_bid>
        </item>
    sortby(itemno)
  }
</result> 
