import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"
import schema namespace ite = "http://www.xquark.org/XQuery/use-cases/items" at "items.xsd"
import schema namespace use = "http://www.xquark.org/XQuery/use-cases/users" at "users.xsd"
<result>
  {
    for $u in doc("users.xml")/use:users//user_tuple
    return
        <user>
            { $u/name }
            {
                for $b in distinct-values(doc("bids.xml")/bid:bids//bid_tuple[userid = $u/userid]/itemno),
                    $i in doc("items.xml")/ite:items//item_tuple[itemno = $b]
                return
                    <bid_on_item>{ $i/description/text() }</bid_on_item>
                sortby(.)
            }
        </user>
    sortby(name)
  }
</result>
